TopView and the log4j security vulnerability CVE-2021-44228

TopView and the log4j security vulnerability CVE-2021-44228

TopView does not use Log4J or any other Java components/libraries. It is not affected by the recent log4j vulnerabilities (e.g. CVE-2021-44228 (mitre.org)).

    • Related Articles

    • Use Gmail for TopView email notification

      The following information provides details on using Gmail with TopView for both outgoing email (Notification) and incoming email (Alarm Acknowledge and information requests). TopView supports SSL/TLS for both outgoing and incoming email (for TopView ...
    • Counting points for TopView license

      The TopView license is based on a point count - the number of points monitored by TopView. You can run multiple TopView configurations (The TopView Window, Alarm and Notification Engine) at the same time. The total points in use is the sum of the ...
    • Backing up TopView

      How to backup TopView We suggest that you make periodic backups of the TopView configuration information and logs. You can perform this task while TopView is running. These instructions assume that you have the installation program available. ...
    • TopView Engine in "Startup"

      Background When a TopView Engine starts or performs an internal restart, it enters the "Startup" operating state. Once "Startup" has completed the Engine will be in the "Running" operating state.  Startup includes the following tasks: Reading the ...
    • TopView engine unable to connect to OPC UA server: SHA 1 Certificates are not trusted

      Issue The TopView engine was unable to connect to the OPC UA server due to certificate issues. When inspecting the logs, we could see similar error messages to those that would occasionally appear when testing connections. This issue may show as the ...